#include<bits/stdc++.h>

using namespace std;
int main()
{
    string a = "1000",b = "100",c="100";
    cin >> a >> b >> c;
    vector<string> x;
    x.push_back(a+b+c);
    x.push_back(a+c+b);
    x.push_back(b+a+c);
    x.push_back(b+a+c);
    x.push_back(c+b+a);
    x.push_back(c+a+b);
    sort(x.begin(),x.end());
    cout << x[5];

    return 0;
}